package com.bonus.canteen.core.order.weight.dto;

import com.bonus.canteen.core.order.common.dto.OrderDetailPayDTO;
import com.bonus.common.houqin.framework.config.deserializer.DateTimeDeserializer;
import com.bonus.common.houqin.framework.config.serializer.DateTimeSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import java.time.LocalDateTime;

public class OrderWeightPlaceDetailDTO extends OrderDetailPayDTO {
   private Long detailId;
   private String submitKey;
   @JsonSerialize(
      using = DateTimeSerializer.YYYY_MM_DD_HH_MM_SS.class
   )
   @JsonDeserialize(
      using = DateTimeDeserializer.class
   )
   private LocalDateTime submitTime;
   private Integer customDishesId;
   private String machineSn;
   private String machineNum;

   public Long getDetailId() {
      return this.detailId;
   }

   public String getSubmitKey() {
      return this.submitKey;
   }

   public LocalDateTime getSubmitTime() {
      return this.submitTime;
   }

   public Integer getCustomDishesId() {
      return this.customDishesId;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public String getMachineNum() {
      return this.machineNum;
   }

   public void setDetailId(final Long detailId) {
      this.detailId = detailId;
   }

   public void setSubmitKey(final String submitKey) {
      this.submitKey = submitKey;
   }

   @JsonDeserialize(
      using = DateTimeDeserializer.class
   )
   public void setSubmitTime(final LocalDateTime submitTime) {
      this.submitTime = submitTime;
   }

   public void setCustomDishesId(final Integer customDishesId) {
      this.customDishesId = customDishesId;
   }

   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

   public void setMachineNum(final String machineNum) {
      this.machineNum = machineNum;
   }

}
